al_compose_transform(3)

NAME

al_compose_transform - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_compose_transform(ALLEGRO_TRANSFORM *trans, const ALLEGRO_TRANSFORM *other)

DESCRIPTION

Compose (combine) two transformations by a matrix multiplication.

    trans := trans other

Note that the order of matrix multiplications is important. The effect of applying the combined transform will be as if first applying trans and then applying other and not the other way around.

Parameters:

•   trans - Transformation to alter

•   other - Transformation used to transform trans

SEE ALSO

al_translate_transform(3), al_rotate_transform(3), al_scale_transform(3)